net.corda.core.serialization

## Class AllWhitelist

- net.corda.core.serialization.AllWhitelist

- All Implemented Interfaces:
    ClassWhitelist

      public class AllWhitelist
      implements ClassWhitelist

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AllWhitelist` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasListed(java.lang.Class<?> type)`

    - ### Methods inherited from interface net.corda.core.serialization.ClassWhitelist

      `hasListed`

- - ### Field Detail

    - #### INSTANCE

          public static AllWhitelist INSTANCE

  - ### Method Detail

    - #### hasListed

          public boolean hasListed(java.lang.Class<?> type)